Đến nội dung


Hình ảnh
- - - - -

[ Yêu Cầu ] Lisp tạo các Layer cho trước trong một bản vẽ mới


  • Please log in to reply
50 replies to this topic

#21 archnguyen

archnguyen

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 May 2013 - 11:03 AM

Cảm ơn bạn vì bài viết hữu ích, tuy nhiên bạn có thể giúp mình thêm một nội dung nữa vào lisp : ngoài các layer đã được chỉ định về quy cách, tất cả các layer còn lại mình muốn quy định chung cho nó về độ dày nét vẽ khi in.


  • 0

#22 sonnv36

sonnv36

    biết lệnh copy

  • Members
  • PipPipPip
  • 119 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 09 May 2013 - 08:58 AM

Bên trên tác giả có nói rồi kìa, thêm "L" "độ dầy"

Cảm ơn bạn vì bài viết hữu ích, tuy nhiên bạn có thể giúp mình thêm một nội dung nữa vào lisp : ngoài các layer đã được chỉ định về quy cách, tất cả các layer còn lại mình muốn quy định chung cho nó về độ dày nét vẽ khi in.


  • 0

Online một ngày đàng...học vài sàng khôn :)


#23 sonnv36

sonnv36

    biết lệnh copy

  • Members
  • PipPipPip
  • 119 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 09 May 2013 - 09:00 AM

Mà các bác có thể gộp luôn dimstyle vs textstyle vào luôn k?
Như thế tiện hơn :P
 


  • 0

Online một ngày đàng...học vài sàng khôn :)


#24 lyky

lyky

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: 126 (tàm tạm)

Đã gửi 09 May 2013 - 03:59 PM

Mà các bác có thể gộp luôn dimstyle vs textstyle vào luôn k?
Như thế tiện hơn :P

 
Vấn đề của bạn đã được đề cập đến trong diễn đàn rồi bạn à, bạn làm theo cách này cũng được:
 

;;; Khoi tao Layer ;;;

(defun newlay(a b c d) 

(if (not (tblsearch "layer" a)) (command "-layer" "n" a "c" b a "l" c a "lw" d a "")

(command "-layer" "s" a "c" b a "l" c a "lw" d a "")))

;;; Sau do cu viet theo nhu cau: (newlay "name" color "laytype" lineweight), Vi du:

(defun C:laykt()

(newlay "KT-TRUC" 2 "CENTER2" 0.13)

(newlay "KT-BAO" 2 "CONTINUOUS" 0.30)

.....................................................

(prompt "\nBao cao da khoi tao he thong LAYER can thiet\n"))

 

;;; Khoi Textstyle ;;;

(command "style" "stylename" "fontname" "height" "width factor" "" "" "" "")

;;; Vi du:

(defun C:stext()

(command "style" "Standard" "simplex.shx,bigfont.shx" "0" "0.75" "" "" "" "")

.............................................................................

(prompt "\nBao cao da khoi tao to hop template TEXT STYLE can thiet\n"))

 

;;; Khoi Dimstyle ;;;

(defun C:sdim()

(C:stext)

(setvar "DIMBLK" "_Open")

(setvar "DIMLDRBLK" "_Open")

(setvar "DIMCLRD" 0)

(setvar "DIMCLRE" 0)

(setvar "DIMCLRT" 0)

(setvar "DIMCEN" 0)

(setvar "DIMDLI" 7)

(setvar "DIMEXO" 1)

(setvar "DIMEXE" 1)

(setvar "DIMSCALE" 50)

(setvar "DIMTXSTY" "Standard")

(setvar "DIMDSEP" ".")

(setvar "DIMALTD" 0)

(setvar "DIMTMOVE" 2)

(setvar "DIMAUNIT" 1)

(setvar "DIMTXT" 3.5)

(setvar "DIMADEC" 3)

(setvar "DIMTIX" 1)

(setvar "DIMASZ" 2)

(setvar "DIMDEC" 0)

(setvar "DIMGAP" 1)

(setvar "DIMLFAC" 0.4) (command "-dimstyle" "s" "KT-50-20")

(setvar "DIMLFAC" 2) (command "-dimstyle" "s" "KT-50-100")

(setvar "DIMLFAC" 0.2) (command "-dimstyle" "s" "KT-50-10")

(setvar "DIMLFAC" 0.6) (command "-dimstyle" "s" "KT-50-30")

(setvar "DIMLFAC" 1) (command "-dimstyle" "s" "KT-50")

(prompt "\nBao cao da khoi tao to hop template DIMMENSION STYLE can thiet\n"))

 

;;; Cac bien he thong ban tu nghien cuu nhe! ;;;


Goodluck!
  • 2

22665_13x13progress.gif   22665_lyky.gif   22665_13x13progress.gif


#25 thuychienc

thuychienc

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 16 June 2013 - 10:18 AM

Thanks bài viết ứng dụng hay thật. Bản vẽ cũ đổi layer là thuộc tính đổi theo luôn. Có 1 vấn đề mình quan tâm là nếu màu layer là ByLayer thì khi dùng lisp màu layer sẽ đổi theo. Nhưng nếu màu layer là Red, Yellow, Green.... thì khi dùng lisp màu layer cũ không đổi theo được. Ai có thể giúp mình không?  thanks


  • 0

#26 toiyeuvietnam

toiyeuvietnam

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 11 August 2013 - 12:22 AM

Các anh ơi cho em hỏi 1 chút là tại sao cái code này nó không chạy đúng ý của em vì em gõ DG1 thì nó cứ nhảy sang nét Ranh đất! , nhờ các anh sửa giúp em để khi gõ DG1 thì nó sẽ nhay sang nét DUONG và khi gõ RD thì nó sẽ nhảy sang Ranh dat (tương tự các nét khác mình tạo) và em có thể vẽ luôn mà không cần phải lựa chọn layer nữa.

(COMMAND "LAYER" "M" "DUONG" "C" "1" "" "L" "Hidden" "" "LW" "0.3" "s" "5" "")  em thêm khoảng cách nét đứt chỗ này sao không được anh nhỉ?

 

 (defun taolop (mau lop / a) (setq a (tblsearch "layer" lop)) 
 (if (null a) (command "layer" "n" lop "c" mau lop "")) (setvar "clayer" lop)
 (princ "\n  Layer_ hien hanh la:  ") (princ lop) (princ) )
--------------------------------------------------------------
(defun c:DG1 () (duong))
(DEFUN duong () (taolop 1 "DUONG")
(COMMAND "LAYER" "M" "DUONG" "C" "1" "" "L" "Hidden" "" "LW" "0.3" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) (command "_.LINE") (princ))
=========================
(defun c:RD () (RANH DAT))
(DEFUN duong () (taolop 1 "RANH DAT")
(COMMAND "LAYER" "M" "RANH DAT" "C" "5" "" "L" "" "" "LW" "0.5" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) (command "_.LINE") (princ))
 

  • 0

#27 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 643 Bài viết
Điểm đánh giá: 224 (khá)

Đã gửi 11 August 2013 - 09:45 PM

Các anh ơi cho em hỏi 1 chút là tại sao cái code này nó không chạy đúng ý của em vì em gõ DG1 thì nó cứ nhảy sang nét Ranh đất! , nhờ các anh sửa giúp em để khi gõ DG1 thì nó sẽ nhay sang nét DUONG và khi gõ RD thì nó sẽ nhảy sang Ranh dat (tương tự các nét khác mình tạo) và em có thể vẽ luôn mà không cần phải lựa chọn layer nữa.
(COMMAND "LAYER" "M" "DUONG" "C" "1" "" "L" "Hidden" "" "LW" "0.3" "s" "5" "")  em thêm khoảng cách nét đứt chỗ này sao không được anh nhỉ?

 (defun taolop (mau lop / a) (setq a (tblsearch "layer" lop)) 
 (if (null a) (command "layer" "n" lop "c" mau lop "")) (setvar "clayer" lop)
 (princ "\n  Layer_ hien hanh la:  ") (princ lop) (princ) )
--------------------------------------------------------------
(defun c:DG1 () (duong))
(DEFUN duong () (taolop 1 "DUONG")
(COMMAND "LAYER" "M" "DUONG" "C" "1" "" "L" "Hidden" "" "LW" "0.3" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) (command "_.LINE") (princ))
=========================
(defun c:RD () (RANH DAT))
(DEFUN duong () (taolop 1 "RANH DAT")
(COMMAND "LAYER" "M" "RANH DAT" "C" "5" "" "L" "" "" "LW" "0.5" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) (command "_.LINE") (princ))
 


Bạn đang học lisp? hay là đang viết cho công việc của mình.

  • Code của bạn hãy để ý có 2 (defun duong ...) đó là 2 đoạn hai đoạn khai báo cho cùng một hàm (trùng tên) duong (hàm gọi bằng việc gõ (duong) enter trong command hoặc trong Code) theo nguyên tắc của lisp . "CÁC HÀM NÀO KHAI BÁO SAU ĐƯỢC ƯU TIÊN HƠN HÀM KHAI BÁO TRƯỚC"  nếu vậy thì trong Code của bạn hàm (duong) ben duoi sẽ được gọi ngay cả khi bạn dùng hàm RD1 ở và đương nhiên nó sẽ thực hiện việc gọi layer Ranhdat(xem hàm "duong" bên duoi) đối với cả lệnh (defun c:DG1)
  • Muốn sửa bạn có thể đối tên hàm (duong) thanh (defun duong1().... ) và (defun duong2 () ...) gì đó và nhớ sửa tương ứng trong DG1 và RD
  • Trả lời )  em thêm khoảng cách nét đứt chỗ này sao không được anh nhỉ?  t là vì thế này trong hàm (command "-layer"...) không có phần nào cho phép chỉnh sửa khoảng cách nét đứt(nếu mình hiểu đúng khoảng cách nét đứt theo ý bạn là LTS thì là vậy) bạn buộc phải thủ công sửa lại tỷ lệ LTS nhé
  • Đây là các lựa chọn trong "-layer"
Enter an option 
[?/Make/Set/New/Rename/ON/OFF/Color/Ltype/LWeight/TRansparency/MATerial/Plot/Fre
eze/Thaw/LOck/Unlock/stAte/Description/rEconcile] ở đó hoàn toàn không có mục LTS của bạn nhé
  • 1

#28 toiyeuvietnam

toiyeuvietnam

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 11 August 2013 - 11:26 PM

Thực ra là em cũng chỉ sửa chữa trên những thứ có sẵn để phù hợp với công việc của mình, nếu tạo được như vậy thì sau này không cần quan tâm đến layer đã có hay chưa và không cần phải quét đối tượng đưa về layer nữa mà chỉ cần dùng lệnh là vẽ luôn.

thực ra em vẫn đang dùng cái code dưới đây để chuyển, trong đó nó có khoảng cách nét do mình đặt, nhưng mà mình phải MA.

(DEFUN C:DG10(/ cnt enam ent pnt s1 tot v1 val)
(setvar "CMDECHO" 0.000)
(prompt "\nCHON CAC DUONG MUON CHUYEN: ")
   (COMMAND "-LAYER" "m" "DUONG" "color" 1 "" "")(PRINC)  
   (SETQ A (SSGET))
   (COMMAND "CHPROP" A PAUSE "c" "RED" "LA" "DUONG" "lt" "Hidden" "s" "5" "")(princ)
)

 còn cái dưới đây dùng 2 lệnh RD và DG1 là ổn rồi, chỉ có điều khoảng cách hở của nét Hidden trong DG1 (Đường) mình không làm được (có cách nào để có thể thêm khoảng cách không ạ?). mong anh và các chuyên gia giúp em với, cảm ơn các anh rất nhiều!

 

 (defun c:DG1 (/ *error* old_lay) 
(defun *error* (msg)
   (setvar "clayer" old_lay) (princ))
  (setq old_lay (getvar "clayer"))
  (command "_.layer"  "_m" "DUONG DI" "_c" "1" "" "L" "Hidden" "S"  "5" "LW" "0.3" "" "") ;;;"S" "5" không dùng được?
(setvar "osmode" (+ 1 2 8 32 128)) 
(command "_.LINE") (princ))
------------------------
(defun c:RD (/ *error* old_lay) 
(defun *error* (msg)
   (setvar "clayer" old_lay) (princ))
  (setq old_lay (getvar "clayer"))
  (command "_.layer"  "_m" "RANH DAT" "_c" "5" "" "L" "" "" "LW" "0.5" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) 
(command "_.LINE") (princ))
 

  • 0

#29 toiyeuvietnam

toiyeuvietnam

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 13 August 2013 - 12:27 AM

có lẽ vấn đề này rất khó giải quyết, mong các anh cao thủ có cách nào đó giúp em với! vấn đề này em nghĩ sẽ giúp ích được cho rất nhiều người đấy!


  • 0

#30 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5453 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 13 August 2013 - 08:58 AM

có lẽ vấn đề này rất khó giải quyết, mong các anh cao thủ có cách nào đó giúp em với! vấn đề này em nghĩ sẽ giúp ích được cho rất nhiều người đấy!

Linetype scale không phải là thuộc tính của layer. Nó là thuộc tính của các đối tượng hình học trên bản vẽ. Do đó, không thể đặt Linetype scale cho layer được. Nếu muốn vẽ các đối tượng với 1 Linetype scale định sẵn thì có 2 cách:

- Dùng hàm (command "Ltscale" num). Cái này sẽ thay đổi Linetype scale của tất cả đối tượng trên bản vẽ.

- Dùng lệnh MA để thay đổi Linetype scale của từng nhóm đối tượng được chọn.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#31 toiyeuvietnam

toiyeuvietnam

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 13 August 2013 - 11:46 PM

cảm ơn 2 anh quan va anh ha, có lẽ ngoài phương pháp MA ra thì không còn phương pháp nào thay đổi cho riêng nét đó nữa rồi


  • 0

#32 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 14 August 2013 - 12:43 AM

Trước khi VẼ mới các đối tượng, bạn cũng có thể đặt biến CELTSCALE . 


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#33 toiyeuvietnam

toiyeuvietnam

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 14 August 2013 - 11:02 PM

cảm ơn anh Ket, gõ lệnh đó như vậy đúng là ổn rồi. em gộp cái CELTSCALE vào trong cái DUONG thì nó báo lỗi ; error: no function definition: C:CELTSCALE (không có định nghĩa chức năng: C: CELTSCALE). em gộp như vậy sai chỗ nào ảnh nhỉ?

 

 (defun C:LDD()
(c:CELTSCALE )
(c:DUONG)
)
(defun c:DUONG (/ *error* old_lay) 
(defun *error* (msg)
   (setvar "clayer" old_lay) (princ))
  (setq old_lay (getvar "clayer"))
  (command "_.layer"  "_m" "DUONG DI" "_c" "1" "" "L" "Hidden" "" "LW" "0.3" "" "") 

(setvar "osmode" (+ 1 2 8 32 128))

(command "_.LINE") (princ))





 

 

 

 


  • 0

#34 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 August 2013 - 01:13 AM

Bạn dùng như sau :     (setvar 'CELTSCALE Giá_trị_nào_đó)


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#35 gadibo

gadibo

    biết vẽ line

  • Members
  • PipPip
  • 22 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 15 August 2013 - 04:50 PM

em cũng đang dính trường hợp tương tự , nhưng đi theo chiều hướng khác .

em lại có 1 đống layer dc tạo ra mặc định khi vẽ bằng chương trình thiết kế .

do màu của các layer trùng nhau quá nhiều nên em muốn đổi màu các layer đó đi để quản lý dễ hơn.

các bác fix đoạn code trên hộ em thành đổi màu và nét ( đứt hoặc nét liền ) , linetype scale ( khoảng cách của nét đứt ) .

viết cho em đoạn code mẫu thôi , còn lại em tự phát triển ( vì đang học mót lisp giai đoạn đầu nên chưa biết phần này )

mong các bác giúp đỡ . thank


  • 0

#36 toiyeuvietnam

toiyeuvietnam

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 August 2013 - 09:55 PM

Anh ơi cho cái đoạn này vào chỗ nào được anh nhỉ?

(setvar 'CELTSCALE)


  • 0

#37 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 August 2013 - 10:56 PM

(setvar 'CELTSCALE 1_hoặc_100_hoặc_bao_nhiêu_tùy_bạn) đặt trước dòng (command vẽ


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#38 toiyeuvietnam

toiyeuvietnam

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 17 August 2013 - 02:31 PM

cảm ơn anh ketxu, đã giải quyết được vấn đề này bằng 1 cách thật đơn giản


  • 0

#39 kutytapve

kutytapve

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 August 2013 - 02:01 AM

Bac cd2k44 cho e hoi xiu "M" có ý nghĩa gì thế.e biết còn non nớt  về lisp mong bác chỉ bảo.hi


  • 0

#40 kts.t2

kts.t2

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 December 2013 - 11:36 AM

;;; =========================== startup ===========================

Mình có đoạn lisp này, chế lại theo của mình giờ mình muốn nó có thêm tạo nét (hidden, continous...) nữa thì làm thế nào các bạn?

;;; =========================== startup ===========================

(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)

gà quá chỉ biết sửa tên với màu thôi :)

;;; =========================== startup ===========================
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)
 
;;; =========================== startup ===========================
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)
 
;;; =========================== startup ===========================
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)
 
;;; =========================== startup ===========================
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)
 
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)

  • 0